Lucene search

K
ubuntuUbuntuUSN-4972-1
HistoryJun 01, 2021 - 12:00 a.m.

PostgreSQL vulnerabilities

2021-06-0100:00:00
ubuntu.com
127

8.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

8.6 High

AI Score

Confidence

High

6.5 Medium

CVSS2

Access Vector

Access Complexity

Authentication

SINGLE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:S/C:P/I:P/A:P

0.007 Low

EPSS

Percentile

80.4%

Releases

  • Ubuntu 21.04
  • Ubuntu 20.10
  • Ubuntu 20.04 LTS
  • Ubuntu 18.04 ESM

Packages

  • postgresql-10 - Object-relational SQL database
  • postgresql-12 - Object-relational SQL database
  • postgresql-13 - Object-relational SQL database

Details

Tom Lane discovered that PostgreSQL incorrect handled certain array
subscripting calculations. An authenticated attacker could possibly use
this issue to overwrite server memory and escalate privileges.
(CVE-2021-32027)

Andres Freund discovered that PostgreSQL incorrect handled certain
INSERT … ON CONFLICT … DO UPDATE commands. A remote attacker could
possibly use this issue to read server memory and obtain sensitive
information. (CVE-2021-32028)

Tom Lane discovered that PostgreSQL incorrect handled certain UPDATE …
RETURNING commands. A remote attacker could possibly use this issue to read
server memory and obtain sensitive information. This issue only affected
Ubuntu 20.04 LTS, Ubuntu 20.10, and Ubuntu 21.04. (CVE-2021-32029)

OSVersionArchitecturePackageVersionFilename
Ubuntu21.04noarchpostgresql-13< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibecpg-compat3< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibecpg-compat3-dbgsym< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibecpg-dev< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibecpg-dev-dbgsym< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibecpg6< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibecpg6-dbgsym< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibpgtypes3< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibpgtypes3-dbgsym< 13.3-0ubuntu0.21.04.1UNKNOWN
Ubuntu21.04noarchlibpq-dev< 13.3-0ubuntu0.21.04.1UNKNOWN
Rows per page:
1-10 of 951

8.8 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

8.6 High

AI Score

Confidence

High

6.5 Medium

CVSS2

Access Vector

Access Complexity

Authentication

SINGLE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:S/C:P/I:P/A:P

0.007 Low

EPSS

Percentile

80.4%